package com.nisum;

import org.junit.Assert;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindAll;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.How;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class AccountSettingsPF {

    WebDriver driver;

    @FindBy(linkText = "Account")
    WebElement accountDropdown;

    @FindBy(className = "sidebar__user-welcome__message")
    WebElement userGreeting;

    @FindBy(linkText = "Account Settings")
    WebElement acctSettings;

    @FindBy(id = "input-firstName")
    WebElement firstName;

    @FindBy(id = "input-lastName")
    WebElement lastName;

    @FindBy(id = "emailIdaccount")
    WebElement email;

    public AccountSettingsPF(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    public void currentUrl() {
        driver.getCurrentUrl();
    }

    public void navigateAcctDropdown() {
        WebDriverWait wdw = new WebDriverWait(driver, 5);
        wdw.until(ExpectedConditions.elementToBeClickable(accountDropdown));

        try {
            accountDropdown.click();
        }
        catch(org.openqa.selenium.StaleElementReferenceException ex)
        {
            accountDropdown.click();
        }
        accountDropdown.click();

        Boolean isDisplayed = userGreeting.isDisplayed();
        System.out.println("User greeting: " + isDisplayed);

    }

    public void navigateAcctSettings() {
        acctSettings.click();
    }

//    public void navigateAcctInfo() {
//        navigateAcctDropdown();
//        navigateAcctSettings();
//    }
}
